function runTest() {
    // Extension has host permissions, so it should be able to fetch.
    let url = location.protocol + "//httpbin.org/cookies";
    return fetch(url, {
        // Behavior independent of adding/omitting the following:
        // mode: "same-origin",
        // credentials: "include",
    })
        .then((res) => res.json())
        .then(obj => {
            document.body.append(document.createElement("br"));
            document.body.append(document.createElement("br"));
            document.body.append(`fetch to '${url}' received the following cookies: ${JSON.stringify(obj.cookies, null, 2)}`);
            document.body.append(document.createElement("br"));
            if (new URL(url).origin === location.origin) {
                document.body.append("This is a same-origin request, SameSite cookies should be included.");
            } else {
                document.body.append("This is a cross-site request, SameSite cookies should be excluded.");
            }
        })
        .catch(e => {
            document.body.append(document.createElement("br"));
            document.body.append(document.createElement("br"));
            document.body.append(`Request to '${url}' failed: ${e}`);
        });
}

runTest();
console.log("Started test at " + location.href);
document.body.textContent = "";
